x1 = imread('FixedImage.tiff');
x2 = imread('MovedImage.tiff');
x3 = imread('NoRotate.tiff');
x4 = imread('Rotate.tiff');
x5 = imread('diffSSD.tiff');

r1 = 545;
r2 = 1450;
c1 = 928;
c2 = 1685;

x1 = x1(r1:r2, c1:c2 ,:);
x2 = x2(r1:r2, c1:c2 ,:);
x3 = x3(r1:r2, c1:c2 ,:);
x4 = x4(r1:r2, c1:c2 ,:);

% figure; imshow(x1);
% figure; imshow(x2);
% figure; imshow(x3);
% figure; imshow(x4);
% figure; imshow(x5);
% 
% keyboard;
y1 = zeros(size(x5), 'uint8');
y2 = zeros(size(x5), 'uint8');
y3 = zeros(size(x5), 'uint8');
y4 = zeros(size(x5), 'uint8');

for i = 1:3
    y1(:,:,i) = imresize(x1(:,:, i), [size(x5, 1) size(x5, 2)]);
end
for i = 1:3
    y2(:,:,i) = imresize(x2(:,:, i), [size(x5, 1) size(x5, 2)]);
end
for i = 1:3
    y3(:,:,i) = imresize(x3(:,:, i), [size(x5, 1) size(x5, 2)]);
end
for i = 1:3
    y4(:,:,i) = imresize(x4(:,:, i), [size(x5, 1) size(x5, 2)]);
end
y5 = x5;

col_center = 530;
row_center = 950;

z1 = y1(row_center-240:row_center+240,col_center-300:col_center+300, :); figure; imshow(z1); saveas(gcf, 'FixedImageZoom.eps', 'psc2');
z2 = y2(row_center-240:row_center+240,col_center-300:col_center+300, :); figure; imshow(z2); saveas(gcf, 'MovedImageZoom.eps', 'psc2');
z3 = y3(row_center-240:row_center+240,col_center-300:col_center+300, :); figure; imshow(z3); saveas(gcf, 'NoRotateZoom.eps', 'psc2');
z4 = y4(row_center-240:row_center+240,col_center-300:col_center+300, :); figure; imshow(z4); saveas(gcf, 'RotateZoom.eps', 'psc2');
z5 = y5(row_center-240:row_center+240,col_center-300:col_center+300, :); figure; imshow(z5); saveas(gcf, 'diffSSDZoom.eps', 'psc2');


[row, col] = meshgrid(1:size(x5,1), 1:size(x5,2));
index = find( (abs(col-col_center) < 300) & (abs(row - row_center) < 240) & (abs(col-col_center) > 290 | abs(row - row_center) > 230));
rows = row(index);
cols = col(index);

index_r = sub2ind(size(y1), rows, cols, 1*ones(size(rows)));
index_g = sub2ind(size(y1), rows, cols, 2*ones(size(rows)));
index_b = sub2ind(size(y1), rows, cols, 3*ones(size(rows)));

y1(index_r) = 255; y1(index_b) = 0; y1(index_g) = 0;
figure; imshow(y1); saveas(gcf, 'FixedImage.eps', 'psc2');

y2(index_r) = 255; y2(index_b) = 0; y2(index_g) = 0;
figure; imshow(y2); saveas(gcf, 'MovedImage.eps', 'psc2');

y3(index_r) = 255; y3(index_b) = 0; y3(index_g) = 0;
figure; imshow(y3); saveas(gcf, 'NoRotate.eps', 'psc2');

y4(index_r) = 255; y4(index_b) = 0; y4(index_g) = 0;
figure; imshow(y4); saveas(gcf, 'Rotate.eps', 'psc2');

y5(index_r) = 255; y5(index_b) = 0; y5(index_g) = 0;
figure; imshow(y5); saveas(gcf, 'diffSSD.eps', 'psc2');

close all;





